[m89] Fix issue with building icudtl_extra.dat

1. Make the shell script which build the data file stop if encounter
error by using set -e
2. Fix the icupkg arg order.
3. Regenerate the android_small/icudtl_extra.dat file which remove
   the */res_index.res correctly.

Bug: 1169034
Change-Id: I941db05cc42a5f74dbf2ecf1a8514d57bcf0a316
Reviewed-on: https://chromium-review.googlesource.com/c/chromium/deps/icu/+/2674539
Reviewed-by: Krishna Govind <govind@chromium.org>
diff --git a/android_small/icudtl_extra.dat b/android_small/icudtl_extra.dat
index cb9ac45..90dc1ad 100644
--- a/android_small/icudtl_extra.dat
+++ b/android_small/icudtl_extra.dat
Binary files differ
diff --git a/scripts/copy_data.sh b/scripts/copy_data.sh
index 379225e..0effc89 100755
--- a/scripts/copy_data.sh
+++ b/scripts/copy_data.sh
@@ -6,6 +6,7 @@
 # This script is tested ONLY on Linux. It may not work correctly on
 # Mac OS X.
 #
+set -e # exit if fail
 
 if [ $# -lt 1 ];
 then
@@ -53,8 +54,9 @@
 function copy_android_extra {
   echo "Copying icudtl_extra.dat for AndroidExtra"
 
-  LD_LIBRARY_PATH=lib/ bin/icupkg -r --ignore-deps \
+  LD_LIBRARY_PATH=lib/ bin/icupkg -r \
     "${TOPSRC}/filters/android-extra-removed-resources.txt" \
+    --ignore-deps \
     "data/out/tmp/icudt${VERSION}l.dat"
 
   echo "AFTER strip out the content is"
@@ -71,7 +73,7 @@
 BACKUP_DIR="dataout/$1"
 function backup_outdir {
   rm -rf "${BACKUP_DIR}"
-  mkdir "${BACKUP_DIR}"
+  mkdir -p "${BACKUP_DIR}"
   find "data/out" | cpio -pdmv "${BACKUP_DIR}"
 }
 
diff --git a/scripts/make_data_all.sh b/scripts/make_data_all.sh
index cfeb49e..e9ab572 100755
--- a/scripts/make_data_all.sh
+++ b/scripts/make_data_all.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-set -x
+set -x -e # stop if fail
 
 ICUROOT="$(dirname "$0")/.."